All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
timer.hpp File Reference

A simple, yet (mostly) sufficiently accurate timer for benchmarking and profiling. More...

`#include <iostream>`
`#include <sys/time.h>`

Go to the source code of this file.

## Classes

class | viennacl::tools::timer
| Simple timer class based on gettimeofday (POSIX) or QueryPerformanceCounter (Windows). More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::tools
| Namespace for various tools used within ViennaCL.

## Detailed Description

A simple, yet (mostly) sufficiently accurate timer for benchmarking and profiling.

Definition in file timer.hpp.